- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::TexturePtr Class Reference

Specialisation of SharedPtr to allow SharedPtr to be assigned to TexturePtr. More...

`#include <OgreTexture.h>`

Inheritance diagram for Ogre::TexturePtr:
[legend]

List of all members.

## Public Member Functions
| TexturePtr ()
| TexturePtr (Texture *rep)
| TexturePtr (const TexturePtr &r)
| TexturePtr (const ResourcePtr &r)
TexturePtr & | operator= (const ResourcePtr &r)
| Operator used to convert a ResourcePtr to a TexturePtr.
T & | operator * () const
T * | operator-> () const
T * | get () const
void | bind (T *rep)
| Binds rep to the SharedPtr.
bool | unique () const
unsigned int | useCount () const
unsigned int * | useCountPointer () const
T * | getPointer () const
bool | isNull (void) const
void | setNull (void)
## Protected Member Functions
void | release (void)
virtual void | destroy (void)
virtual void | swap (SharedPtr< T > &other)
## Protected Attributes
T * | pRep
unsigned int * | pUseCount

## Detailed Description

Specialisation of SharedPtr to allow SharedPtr to be assigned to TexturePtr.

Note:
  Has to be a subclass since we need operator=. We could templatise this instead of repeating per Resource subclass, except to do so requires a form VC6 does not support i.e. ResourceSubclassPtr<T> : public SharedPtr<T>

Definition at line 364 of file OgreTexture.h.

## Constructor & Destructor Documentation

Ogre::TexturePtr::TexturePtr | ( |  | ) |

Definition at line 367 of file OgreTexture.h.

Ogre::TexturePtr::TexturePtr | ( | Texture * | rep | ) | `[explicit]`

Definition at line 368 of file OgreTexture.h.

Ogre::TexturePtr::TexturePtr | ( | const TexturePtr & | r | ) |

Definition at line 369 of file OgreTexture.h.

Ogre::TexturePtr::TexturePtr | ( | const ResourcePtr & | r | ) |

Definition at line 370 of file OgreTexture.h.

References Ogre::SharedPtr< T >::getPointer(), OGRE_COPY_AUTO_SHARED_MUTEX, OGRE_LOCK_MUTEX, OGRE_MUTEX_CONDITIONAL, and Ogre::SharedPtr< T >::useCountPointer().

## Member Function Documentation

TexturePtr& Ogre::TexturePtr::operator= | ( | const ResourcePtr & | r | ) |

Operator used to convert a ResourcePtr to a TexturePtr.

Definition at line 387 of file OgreTexture.h.

References Ogre::SharedPtr< T >::getPointer(), Ogre::SharedPtr< T >::isNull(), OGRE_COPY_AUTO_SHARED_MUTEX, OGRE_LOCK_MUTEX, OGRE_MUTEX_CONDITIONAL, and Ogre::SharedPtr< T >::useCountPointer().

template<class T>

T& Ogre::SharedPtr< T >::operator * | ( |  | ) | const`[inherited]`

Definition at line 129 of file OgreSharedPtr.h.

template<class T>

T* Ogre::SharedPtr< T >::operator-> | ( |  | ) | const`[inherited]`

Definition at line 130 of file OgreSharedPtr.h.

template<class T>

T* Ogre::SharedPtr< T >::get | ( |  | ) | const`[inherited]`

Definition at line 131 of file OgreSharedPtr.h.

Referenced by Ogre::operator!=(), and Ogre::operator==().

template<class T>

void Ogre::SharedPtr< T >::bind | ( | T * | rep | ) | `[inherited]`

Binds rep to the SharedPtr.

Remarks:
  Assumes that the SharedPtr is uninitialised!

Definition at line 137 of file OgreSharedPtr.h.

template<class T>

bool Ogre::SharedPtr< T >::unique | ( |  | ) | const`[inherited]`

Definition at line 145 of file OgreSharedPtr.h.

template<class T>

unsigned int Ogre::SharedPtr< T >::useCount | ( |  | ) | const`[inherited]`

Definition at line 146 of file OgreSharedPtr.h.

template<class T>

unsigned int* Ogre::SharedPtr< T >::useCountPointer | ( |  | ) | const`[inherited]`

Definition at line 147 of file OgreSharedPtr.h.

Referenced by Ogre::CompositorPtr::CompositorPtr(), Ogre::FontPtr::FontPtr(), Ogre::GpuProgramPtr::GpuProgramPtr(), Ogre::HighLevelGpuProgramPtr::HighLevelGpuProgramPtr(), Ogre::MaterialPtr::MaterialPtr(), operator=(), Ogre::SkeletonPtr::operator=(), Ogre::PatchMeshPtr::operator=(), Ogre::MaterialPtr::operator=(), Ogre::HighLevelGpuProgramPtr::operator=(), Ogre::GpuProgramPtr::operator=(), Ogre::FontPtr::operator=(), Ogre::CompositorPtr::operator=(), Ogre::PatchMeshPtr::PatchMeshPtr(), Ogre::SharedPtr< Ogre::PatchMesh >::SharedPtr(), Ogre::SkeletonPtr::SkeletonPtr(), and TexturePtr().

template<class T>

T* Ogre::SharedPtr< T >::getPointer | ( |  | ) | const`[inherited]`

Definition at line 149 of file OgreSharedPtr.h.

Referenced by Ogre::CompositorPtr::CompositorPtr(), Ogre::FontPtr::FontPtr(), Ogre::GpuProgramPtr::GpuProgramPtr(), Ogre::HighLevelGpuProgramPtr::HighLevelGpuProgramPtr(), Ogre::MaterialPtr::MaterialPtr(), operator=(), Ogre::SkeletonPtr::operator=(), Ogre::PatchMeshPtr::operator=(), Ogre::MaterialPtr::operator=(), Ogre::HighLevelGpuProgramPtr::operator=(), Ogre::GpuProgramPtr::operator=(), Ogre::FontPtr::operator=(), Ogre::CompositorPtr::operator=(), Ogre::PatchMeshPtr::PatchMeshPtr(), Ogre::SharedPtr< Ogre::PatchMesh >::SharedPtr(), Ogre::SkeletonPtr::SkeletonPtr(), and TexturePtr().

template<class T>

bool Ogre::SharedPtr< T >::isNull | ( | void |  | ) | const`[inherited]`

Definition at line 151 of file OgreSharedPtr.h.

Referenced by operator=(), Ogre::SkeletonPtr::operator=(), Ogre::PatchMeshPtr::operator=(), Ogre::MaterialPtr::operator=(), Ogre::HighLevelGpuProgramPtr::operator=(), Ogre::GpuProgramPtr::operator=(), Ogre::FontPtr::operator=(), and Ogre::CompositorPtr::operator=().

template<class T>

void Ogre::SharedPtr< T >::setNull | ( | void |  | ) | `[inherited]`

Definition at line 153 of file OgreSharedPtr.h.

template<class T>

void Ogre::SharedPtr< T >::release | ( | void |  | ) | `[protected, inherited]`

Definition at line 165 of file OgreSharedPtr.h.

Referenced by Ogre::SharedPtr< Ogre::PatchMesh >::setNull(), and Ogre::SharedPtr< Ogre::PatchMesh >::~SharedPtr().

template<class T>

virtual void Ogre::SharedPtr< T >::destroy | ( | void |  | ) | `[protected, virtual, inherited]`

Reimplemented in Ogre::MeshPtr.

Definition at line 191 of file OgreSharedPtr.h.

Referenced by Ogre::SharedPtr< Ogre::PatchMesh >::release().

template<class T>

virtual void Ogre::SharedPtr< T >::swap | ( | SharedPtr< T > & | other | ) | `[protected, virtual, inherited]`

Definition at line 202 of file OgreSharedPtr.h.

Referenced by Ogre::SharedPtr< Ogre::PatchMesh >::operator=().

## Member Data Documentation

template<class T>

T* Ogre::SharedPtr< T >::pRep`[protected, inherited]`

Definition at line 46 of file OgreSharedPtr.h.

Referenced by Ogre::SharedPtr< Ogre::PatchMesh >::bind(), Ogre::SharedPtr< Ogre::PatchMesh >::destroy(), Ogre::SharedPtr< Ogre::PatchMesh >::get(), Ogre::SharedPtr< Ogre::PatchMesh >::getPointer(), Ogre::SharedPtr< Ogre::PatchMesh >::isNull(), Ogre::SharedPtr< Ogre::PatchMesh >::operator *(), Ogre::SharedPtr< Ogre::PatchMesh >::operator->(), Ogre::SharedPtr< Ogre::PatchMesh >::operator=(), Ogre::SharedPtr< Ogre::PatchMesh >::setNull(), Ogre::SharedPtr< Ogre::PatchMesh >::SharedPtr(), and Ogre::SharedPtr< Ogre::PatchMesh >::swap().

template<class T>

unsigned int* Ogre::SharedPtr< T >::pUseCount`[protected, inherited]`

Definition at line 47 of file OgreSharedPtr.h.

Referenced by Ogre::SharedPtr< Ogre::PatchMesh >::bind(), Ogre::SharedPtr< Ogre::PatchMesh >::destroy(), Ogre::SharedPtr< Ogre::PatchMesh >::release(), Ogre::SharedPtr< Ogre::PatchMesh >::setNull(), Ogre::SharedPtr< Ogre::PatchMesh >::SharedPtr(), Ogre::SharedPtr< Ogre::PatchMesh >::swap(), Ogre::SharedPtr< Ogre::PatchMesh >::unique(), Ogre::SharedPtr< Ogre::PatchMesh >::useCount(), and Ogre::SharedPtr< Ogre::PatchMesh >::useCountPointer().

The documentation for this class was generated from the following file:

- OgreTexture.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:54:45 2008